#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Memory-mapped key-value database
Name:           lmdb
Version:        0.9.19
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            http://symas.com/mdb/
# $ git checkout tags/LMDB_$VERSION && popd
# $ tar cvzf lmdb-$VERSION.tar.gz -C lmdb/libraries/ liblmdb
Source:         https://github.com/LMDB/lmdb/archive/LMDB_%{version}/lmdb-%{version}.tar.gz
# Patch description in the corresponding file
Patch0:         lmdb-make.patch
# Fedora S390 build-time hack only:
#Patch1: lmdb-s390-check.patch

BuildRequires:  doxygen

%description
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still 
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files
%_bindir/*
%_mandir/man1/*

#--------------------------------------------------------------------

%define major 0
%define liblmdb %mklibname lmdb %{major}

%package -n %liblmdb
Summary:      Memory-mapped key-value database
Group:        System/Libraries


%description -n %liblmdb
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still 
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files -n %liblmdb
%_libdir/liblmdb.so.%{major}{,.*}

#--------------------------------------------------------------------

%define lmdb_devel %mklibname lmdb -d

%package -n %lmdb_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %liblmdb = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %lmdb_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %lmdb_devel
%_libdir/liblmdb.so
%_includedir/*.h

#--------------------------------------------------------------------


%prep
%setup -q  -n %name-LMDB_%{version}
%autopatch -p1

%build
pushd libraries/liblmdb
%make_build
# Build doxygen documentation
doxygen
# remove unpackaged files
rm -f Doxyfile
rm -rf man # Doxygen generated manpages
popd


%install
pushd libraries/liblmdb
# make install expects existing directory tree
mkdir -m 0755 -p %{buildroot}%{_prefix}{/bin,/include}
mkdir -m 0755 -p %{buildroot}{%{_libdir},%{_mandir}/man1}

%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}
popd

%find_lang --all %{name}5



%changelog
* Tue Jan 10 2017 luigiwalser <luigiwalser> 0.9.19-1.mga6
+ Revision: 1080859
- 0.9.19
- update lmdb-make patch from fedora

* Fri Jun 10 2016 daviddavid <daviddavid> 0.9.18-2.mga6
+ Revision: 1021045
- do not provide liblmdb.so.0.0.0 from the devel subpackage (fixes mga#18679)

* Tue Feb 09 2016 buchan <buchan> 0.9.18-1.mga6
+ Revision: 952897
- New version 0.9.18

* Thu Dec 31 2015 buchan <buchan> 0.9.17-1.mga6
+ Revision: 917060
- New version 0.9.17
  Use github url for source

* Tue Aug 11 2015 neoclust <neoclust> 0.9.14-1.mga6
+ Revision: 863262
- imported package lmdb

